<%@ page import="com.censoft.db.DBUtil" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="java.util.Vector" %><%--
  Created by IntelliJ IDEA.
  User: Administrator
  Date: 2020/9/11
  Time: 12:54
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.util.*" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%!
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();

    public Vector getAdminList(Connection conn, String page_number, String page_size) {
        Vector v_list = cf.doPageQueryWithCount(conn, "select * from t_book_admin", page_number, page_size, null, new Object[]{});
        return v_list;
    }
%>
<%
    String id = request.getParameter("id");
    Connection conn = DBUtil.getConnection();
    ConnectionFactory df = new ConnectionFactory();



    Vector vector = df.doQuery(conn, "select * from table_1", null, new Object[]{});
    System.out.println(df.getMsg());
    System.out.println(vector);
    out.println("success");
%>